package com.ruoyi.mall.service;

import java.util.List;
import com.ruoyi.mall.domain.MallBanner;
import com.ruoyi.mall.domain.vo.IndexBannerVO;

/**
 * 轮播图Service接口
 * 
 * @author ruoyi
 * @date 2021-11-25
 */
public interface IMallBannerService 
{
    /**
     * 查询轮播图
     * 
     * @param id 轮播图主键
     * @return 轮播图
     */
    public MallBanner selectMallBannerById(Long id);

    /**
     * 查询轮播图列表
     * 
     * @param mallBanner 轮播图
     * @return 轮播图集合
     */
    public List<MallBanner> selectMallBannerList(MallBanner mallBanner);

    /**
     * 新增轮播图
     * 
     * @param mallBanner 轮播图
     * @return 结果
     */
    public int insertMallBanner(MallBanner mallBanner);

    /**
     * 修改轮播图
     * 
     * @param mallBanner 轮播图
     * @return 结果
     */
    public int updateMallBanner(MallBanner mallBanner);

    /**
     * 批量删除轮播图
     * 
     * @param ids 需要删除的轮播图主键集合
     * @return 结果
     */
    public int deleteMallBannerByIds(Long[] ids);

    /**
     * 删除轮播图信息
     * 
     * @param id 轮播图主键
     * @return 结果
     */
    public int deleteMallBannerById(Long id);

    public List<IndexBannerVO> indexSelectMallBannerList(MallBanner mallBanner);

    public List<IndexBannerVO> classIndexSelectMallBannerList(MallBanner mallBanner);
}
